Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfLeaderType

    java.lang.Object
      java.lang.Enum<OdfLeaderType>
          org.odftoolkit.odfdom.dom.type.style.OdfLeaderType

All Implemented Interfaces:
  Serializable, Comparable<OdfLeaderType>

    public enum OdfLeaderType

extends Enum<OdfLeaderType>

DOM implementation of OpenDocument attribute style:leader-type.

Enum Constant Summary
`DOUBLE`
`NONE`
`SINGLE`

Method Summary
`static OdfLeaderType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLeaderType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLeaderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLeaderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE

    public static final OdfLeaderType DOUBLE

### NONE

    public static final OdfLeaderType NONE

### SINGLE

    public static final OdfLeaderType SINGLE

Method Detail

### values

    public static OdfLeaderType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLeaderType c : OdfLeaderType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLeaderType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLeaderType>`
  Returns:
    return the name of OdfLeaderType

### toString

    public static String toString(OdfLeaderType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLeaderType, see style:leader-type
  Returns:
    return the name of OdfLeaderType

### enumValueOf

    public static OdfLeaderType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLeaderType
  Returns:
    return the constant of OdfLeaderType, see style:leader-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.